---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/issues/search-reports.md
  - https://yandex.ru/support/tracker/ru/api-ref/issues/search-reports.md
  - href: en/api-ref/issues/search-reports.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt

# Find issue reports

This request allows you to find issue reports that match the specified criteria.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/report/_search</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Request format {#query}

Before making a request, [get access to the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To find reports, use an HTTP request with the `POST` method. In the request body, specify the search parameters in JSON format.

```json translate=no
POST /v3/entities/report/_search
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth-token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
   "filter":
   {
      "author": "<user_login>"
   }
}
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

{% cut "Request body parameters" %}

The request body contains the information required to search for reports:

**Additional parameters**

Parameter | Description | Data type
-------- | -------- | ----------
[filter](#filter) | Parameters for filtering reports. | Object
orderBy | Field for sorting reports. Valid values: `id`, `shortId`, `createdBy`, `createdAt`, `updatedAt`, `self`. | String
orderAsc | Sort direction: `true` — ascending, `false` — descending. | Boolean

**Fields of the** `filter` **object** {#filter}

{% note warning "" %}

Only the following keys are available for filtering: `id`, `shortId`, `author`.

{% endnote %}

Parameter | Description | Data type
-------- | -------- | ----------
id | Report ID. | String
shortId | Short report ID. | Number
author | Report author. The value is taken from the `id` parameter of the `createdBy` field in the response body. | String or number

{% endcut %}

**Pagination**

The method supports paginated results. Pass pagination parameters in the request query string:

Parameter | Description | Data type
----- | ----- | -----
perPage | Number of reports per response page. Default value: 50. | Number
page | Page number. Default value: 1. | Number

> Example: Find reports by a specific author
>
> - The HTTP method POST is used.
> - The results include reports created by a user with the specified ID.
>
> ```json translate=no
> POST /v3/entities/report/_search?perPage=5 HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Cloud-Org-ID: ab1c******
>
> {
>   "filter": {
>     "author": "<user_id>"
>   }
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request completed successfully

    <!-- source: en/api-ref/_includes/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/api-ref/_includes/answer-200.md -->

    The response body contains search results in JSON format.

    ```json translate=no
    {
        "hits": 2,
        "pages": 1,
        "values": [
            {
                "self": "https://api.tracker.yandex.net/v3/entities/report/6a0d7cfb81208304d255f618",
                "id": "6a0d7cfb81208304d255f618",
                "version": 5,
                "shortId": 185,
                "entityType": "report",
                "createdBy": {
                    "self": "https://api.tracker.yandex.net/v3/users/8000000000000005",
                    "id": "8000000000000005",
                    "display": "User Name",
                    "cloudUid": "ajemqnuerc0d4oaf598d",
                    "passportUid": 1987441286
                },
                "createdAt": "2026-05-20T09:20:59.753+0000",
                "updatedAt": "2026-05-20T09:21:00.085+0000"
            },
            {
                "self": "https://api.tracker.yandex.net/v3/entities/report/6a0d7cec7e0f032a528bbcd4",
                "id": "6a0d7cec7e0f032a528bbcd4",
                "version": 27,
                "shortId": 184,
                "entityType": "report",
                "createdBy": {
                    "self": "https://api.tracker.yandex.net/v3/users/8000000000000005",
                    "id": "8000000000000005",
                    "display": "User Name",
                    "cloudUid": "ajemqnuerc0d4oaf598d",
                    "passportUid": 1987441286
                },
                "createdAt": "2026-05-20T09:20:44.592+0000",
                "updatedAt": "2026-05-20T09:21:07.234+0000"
            }
        ]
    }
    ```

    {% cut "Response parameters" %}

    Parameter | Description | Data type
    -------- | -------- | ----------
    hits | Total number of reports found. | Number
    pages | Total number of result pages. | Number
    orderBy | Field by which the reports are sorted. Returned if the `orderBy` parameter is passed in the request. The `createdBy`, `createdAt`, and `updatedAt` values are returned as `author`, `created`, and `updated`. | String
    values | Results. Report objects. | Array of objects

    {% note info "" %}

    When pagination is used, the `pages` parameter equals the number of pages that all found reports are split into for a given page size. The value is calculated as `hits` (total number of reports found) divided by `perPage` (number of reports per page), rounded up. For example, if `hits: 42` and `perPage: 2`, the `pages` parameter equals `21`.

    {% endnote %}

    **Fields of report objects**

    Parameter | Description | Data type
    ----- | ----- | -----
    self | API resource address that contains information about the report. | String
    id | Report ID. <br/>To open the report in the Tracker interface, paste the ID into the address and open it in your browser: <br/>`https://tracker.yandex.com/pages/reports/<report_id>` | String
    version | Report version. | Number
    shortId | Short report ID. | Number
    entityType | Entity type. Value: `report`. | String
    [createdBy](#created-by) | Object with information about the report creator. | Object
    createdAt | Date and time when the report was created in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | String
    updatedAt | Date and time when the report was last updated in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format. | String

    **Fields of the** `createdBy` **object** {#created-by}

    <!-- source: en/api-ref/_includes/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Identity Hub | String |
    <!-- endsource: en/api-ref/_includes/user.md -->

    {% endcut %}

- Request failed

    If the request was not processed successfully, the API returns a response with an error code:

    <!-- source: en/api-ref/_includes/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

    <!-- source: en/api-ref/_includes/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.ru/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/api-ref/_includes/answer-error-401.md -->

    <!-- source: en/api-ref/_includes/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/api-ref/_includes/answer-error-403.md -->

    <!-- source: en/api-ref/_includes/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

    <!-- source: en/api-ref/_includes/answer-error-422.md -->
    422
    :   JSON validation error, the request is rejected.
    <!-- endsource: en/api-ref/_includes/answer-error-422.md -->

{% endlist %}